<script>
    import DateTime from './DateTime.svelte';


    export let rec;

</script>


<div>

    <div class="header">
        <div class="file-type">{rec.file_type}</div>
        <div class="rec-type">{rec.recording_type}</div>
    </div>

    <div class="body">
        <div class="magn">
            <div class="interval">
                <div class="interval__from">
                    <DateTime datetime="{rec.recording_start}"/>
                </div>
                <div class="interval__sep">--&gt;</div>
                <div class="interval__to">
                    <DateTime datetime="{rec.recording_end}"/>
                </div>
            </div>
            <div class="size">{(rec.file_size / (1024 * 1024)).toFixed(2)}MB</div>
        </div>

        <div class="links">
            <a class="play" href="{rec.play_url}" target="_blank">play<svg class="kicon">
                <use xlink:href="symbol-defs.svg#icon-link"></use>
            </svg></a>
            <a class="play" href="{rec.download_url}" target="_blank" data-recid="{rec.id}">download<svg class="kicon">
                <use xlink:href="symbol-defs.svg#icon-link"></use>
            </svg></a>
        </div>
    </div>
</div>


<style>

    .header {
        display: flex;
        padding-bottom: 0.1em;
        border-bottom: 1px dotted #aaa;
        align-items: center;
    }

    .file-type {
        background: brown;
        color: white;
        border: 1px solid grey;
        border-radius: 0.1em;
        padding: 0.1em;
    }

    .rec-type {
        color: darkgreen;
    }

    .magn {
        display: flex;
        align-items: center;
        font-size: 0.8em;
        margin: 0.5em 0;
    }

    .interval {
        display: flex;
        align-items: center;
    }

    .interval__sep {
        margin: 0 1em;
    }

    .links {
        display: flex;
        font-size: 0.9em;
    }

    .links a {
        margin-right: 0.5em;
    }

    .links svg {
        height: 0.8em;
        width: 0.8em;
    }

    .magn>div, .interval>div, .header>div {
        margin-right: 0.5em;
    }

</style>
